<?php
include '/var/www/rennergy/conf/global_config.php';

// XML-Datei automatisch erstellen
$xml = new DOMDocument('1.0', 'utf-8');
$xml->formatOutput = true;
    
$rss = $xml->createElement('rss');
$rss->setAttribute('version', '2.0');
$xml->appendChild($rss);
    
$channel = $xml->createElement('channel');
$rss->appendChild($channel); 

// Head des Feeds    
$head = $xml->createElement('title', 'Rennergy RSP 30');
$channel->appendChild($head);
    
$head = $xml->createElement('description', 'Heizungswerte');
$channel->appendChild($head);
    
$head = $xml->createElement('language', 'de');
$channel->appendChild($head);
    
$head = $xml->createElement('link', 'https://'.$dnsname.':8443');
$channel->appendChild($head);
   
// Aktuelle Zeit, falls time() in MESZ ist, muss 1 Stunde abgezogen werden
$head = $xml->createElement('lastBuildDate', date("D, j M Y H:i:s ", time() - 3600).'GMT');
$channel->appendChild($head);
    
// Feed Einträge
    $item = $xml->createElement('item');
    $channel->appendChild($item);
        
    $data = $xml->createElement('title', "Datum: $newDate Uhrzeit: $newTime");
    $item->appendChild($data);
    
    $data = $xml->createElement('description', "Aussentemperatur: $aussen"."°C<p>Kessel Zustand: $zustandrss<p>Kessel Temperatur: $ktemp"."°C<p>Rauchgas Soll/Ist: $rgass"."°C / $rgasi"."°C<p>$hk1rss<p>Pufferspeicher: $puffer"."%<p>Frischwasserstation: $fwt"."°C<p>Puffer Fühler 1: $pf1"."°C<p>Puffer Fühler 2: $pf2"."°C<p>Puffer Fühler 3: $pf3"."°C<p>Saugzug: $saug"."%<p>O² Soll/Ist: $o2s"."% / $o2i"."%<p>Primärluft Soll/Ist: $prims"."% / $primi"."%<p>Sekundärluft Soll/Ist: $sekus"."% / $sekui"."%");
    $item->appendChild($data);   
        
    $data = $xml->createElement('link', 'https://'.$dnsname.':8443');
    $item->appendChild($data);
    
    $data = $xml->createElement('pubDate', date("D, j M Y H:i:s ", time() - 3600).'GMT');
    $item->appendChild($data);
    
    $data = $xml->createElement('guid', 'https://'.$dnsname.':8443');
    $item->appendChild($data);

// Speichere XML Datei
$xml->save('/var/www/rennergy/rss/rss.xml');

// Rufe die XML Datei auf
Header('Location: http://'.$dnsname.'/rss.xml');    
?>
